## Définition, avantages et inconvénients[^0]  {#first-section}

:::{.exercise}
Le plus important est de trouver des méthodes et des outils adaptés à *ses
besoins*. Ci-dessous sont listés quelques arguments en faveur de l'usage de
fichiers au format texte et  de la syntaxe markdown, mais aucune méthode ou
outil n'est *la* solution miracle pertinente dans *tous* les contextes.
:::

### Définition

L'information numérique est utile si elle est *structurée*. C'est ce qui
permet, par exemple, que la table des matières d'un document numérique soit
constituée de liens vers les sections. Cette structure peut s'obtenir par
l'usage des styles et des niveaux de titre dans un traitement de texte
(Microsoft Word, Libreoffice Writer, etc.), ou grâce à un langage de balisage
comme HTML ou XML. Markdown est une autre méthode, très efficace.[^1]

Markdown est *un langage de balisage léger*. Il s'agit d'une syntaxe qui
permet, *uniquement avec des éléments textuels*, d'indiquer la structure
(sections, titres) et la fonction d'éléments textuels (emphase, liste, liens).
Cette structure et ces fonctions sont lisibles, compréhensibles par des êtres
humains[^4] ou par des programmes informatiques. Aussi, les documents rédigés à
l'aide de markdown peuvent soit être lus tels quels, soit être traités par un
programme pour afficher un « rendu » sous forme de page web, de document PDF ou
DOCX.

La syntaxe markdown est relativement simple à apprendre et mémoriser. Aussi, la
rédaction au format markdown repose sur très peu de fonctionnalités de
l'éditeur de texte. Le bloc note suffit, même si un peu plus de confort est
souhaitable.

Cette syntaxe est utilisée par de nombreux logiciels ou services en lignes pour
la rédaction. C'est le cas des notes dans [Zotero][17], de solution de prise de
note comme [Joplin][18], [Notion][19] ou [Obsidian][20], ou encore d'éditeurs
en ligne adaptés au travail collaboratif ([HedgeDoc][5], [HackMD][6], etc.).

### Avantages

Les fichiers utilisés ne sont composés que de caractères textuels. Aussi, ils
sont :

- Simples et légers :
  - Ne dépendent pas d'un logiciel spécifique, ni d'un système d'exploitation.
  - Pourront être ouverts et édités dans n'importe quel contexte, et
    probablement dans un avenir éloigné (pérennité).
  - Rapides à ouvrir. Avec n'importe quel éditeur de texte (bloc note Windows,
    Notepad++, TextEdit, Gedit, VIM, EMACS, etc.)
  - Faciles à sauvegarder, copier, synchroniser, partager.

Toujours grâce à leur nature textuelle, il est facile d'avoir des outils pour
rechercher (et remplacer) rapidement du texte au sein non seulement du fichier
ouvert, mais d'un ensemble de fichier dans un répertoire. \
Il est même possible d'écrire des programmes pour modifier ou utiliser
automatiquement ces fichiers. Et il en existe justement beaucoup !

Grâce à ces propriétés, il est possible :

- De prendre des notes au clavier rapidement, de manière structurée, et avec
  une recherche rapide.
- De rédiger des documents simples (une note) ou complexes (une thèse).
- De regrouper un ensemble de notes dans un « bloc note » et de naviguer dans
  cet ensemble, de rechercher de l'information .
- De manière similaire, de regrouper un ensemble de fichiers pour constituer un
  document complexe, comme un livre ou un article scientifique.
- Enfin de convertir à partir des mêmes fichiers le document dans plusieurs
  formats pour une diffusion sur le web, la lecture dans un PDF ou un ePub
  (compatible avec une liseuse électronique).

Enfin, les fichiers textuels sont particulièrement adaptés au suivi de
l'historique des modification (*versioning*), par exemple avec le logiciel
[Git][7].

### Inconvénients

Pour un usage simple, l'apprentissage n'est pas très difficile. La syntaxe de
base s'acquiert rapidement. Pour parvenir à rédiger des documents relativement
complexes (notes, citations et bibliographies, etc.), cet apprentissage est un
peu plus long. Afin de maîtriser la conversion dans différents formats, tout en
personnalisant la mise en forme des documents obtenus, il devient vite
nécessaire d'apprendre à utiliser d'autres outils, à modifier des modèles dans
les formats désirés (HTML, DOCX, peut-être LaTeX, etc.).

Certains éditeurs intègrent la fonction de conversion, mais elle repose sur
l'installation de logiciels annexes, principalement `pandoc`, mais aussi une
distribution LaTeX pour obtenir une conversion en PDF. Ces outils ne sont pas
si difficiles à installer. Surtout, ils sont libres, gratuits et disponibles
pour Windows, Mac OS ou Linux.

Pour utiliser `pandoc`, qui est l'outil de conversion le plus complet, il est
nécessaire de le faire « en ligne de commande » plutôt que dans une interface
graphique, avec la souris. C'est un élément en plus à apprendre, mais qui ouvre
beaucoup de possibilités.

Le travail collaboratif à plusieurs est toujours possible, mais selon les cas
avec une certaine friction. La situation la plus simple est d'utiliser un
éditeur en ligne qui offre des fonctionnalités d'édition à plusieurs. Souvent
cela est au prix de ne pouvoir disposer de toute la puissance de `pandoc`, du
moins directement.

Toujours dans le cas où toutes les personnes qui collaborent sont capables de
travailler avec les mêmes outils, elles peuvent toujours travailler ensemble en
se mettant d'accord sur un « workflow », par exemple grâce à `git` mentionné
plus haut. Mais c'est un outil de plus à apprendre. Et de nouvelles
possibilités à découvrir.

Enfin, si les personnes avec qui on collabore ne veulent ou ne peuvent pas
utiliser les mêmes méthodes, alors il faudra mettre en place un processus
d'export et d'import un peu complexe, mais en partie automatisable
[@perretMarkdownTraitementTexte2022].
